---
apiVersion: project.openshift.io/v1
kind: Project
metadata:
  name: lb-no-nodeport-ns
  labels:
    kubernetes.io/metadata.name: lb-no-nodeport-ns
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: lb-no-nodeport-dep
  namespace: lb-no-nodeport-ns
  labels:
    app: lb-no-nodeport-dep
spec:
  replicas: 2
  selector:
    matchLabels:
      app: lb-no-nodeport-dep
  template:
    metadata:
      labels:
        app: lb-no-nodeport-dep
    spec:
      securityContext:
        runAsNonRoot: true
        seccompProfile:
          type: RuntimeDefault
      containers:
      - image: quay.io/kuryr/demo
        name: demo
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
---
apiVersion: v1
kind: Service
metadata:
  name: lb-no-nodeport-svc
  namespace: lb-no-nodeport-ns
  labels:
    app: lb-no-nodeport-dep
spec:
  allocateLoadBalancerNodePorts: false
  ports:
  - protocol: TCP
    port: 80
    targetPort: 8080
  selector:
    app: lb-no-nodeport-dep
  type: LoadBalancer
